SuSE 11.3 Security Update : shim (SAT Patch Number 9997)

High Nessus Plugin ID 80024


The remote SuSE 11 host is missing one or more security updates.


shim has been updated to fix three security issues :

- OOB read access when parsing DHCPv6 packets (remote DoS). (CVE-2014-3675)

- Heap overflow when parsing IPv6 addresses provided by tftp:// DHCPv6 boot option (RCE). (CVE-2014-3676)

- Memory corruption when processing user provided MOK lists. (CVE-2014-3677)


Apply SAT patch number 9997.

See Also

Plugin Details

Severity: High

ID: 80024

File Name: suse_11_shim-2014-11-20-141119.nasl

Version: $Revision: 1.1 $

Type: local

Agent: unix

Published: 2014/12/15

Modified: 2014/12/15

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:novell:suse_linux:11:gnu-efi, p-cpe:/a:novell:suse_linux:11:shim, cpe:/o:novell:suse_linux:11

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Patch Publication Date: 2014/11/19

Reference Information

CVE: CVE-2014-3675, CVE-2014-3676, CVE-2014-3677